org.eclipse.jgit.api

## Interface TransportConfigCallback

    public interface TransportConfigCallback

Receives a callback allowing type-specific configuration to be set on the Transport instance after it's been created.

This allows consumers of the JGit command API to perform custom configuration that would be difficult anticipate and expose on the API command builders.

For instance, if a client needs to replace the SshSessionFactorys on any SSHTransport used (eg to control available SSH identities), they can set the TransportConfigCallback on the JGit API command - once the transport has been created by the command, the callback will be invoked and passed the transport instance, which the client can then inspect and configure as necessary.

### Method Summary

Methods
`void` `configure(Transport transport)` Add any additional transport-specific configuration required.

### Method Detail

#### configure

    void configure(Transport transport)

Add any additional transport-specific configuration required.

Parameters:
  `transport` -